## com.baidubce.services.vod.model
Class CreateMediaResourceResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.vod.model.CreateMediaResourceResponse

    public class CreateMediaResourceResponse

extends AbstractBceResponse

Contains the data returned by Baidu VOD from the `putObject` operation. Use this request to access information about the new object created from the `putObject` request, such as its ETag and optional version ID.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`CreateMediaResourceResponse()`

Method Summary
`String` `getMediaId()`
`void` `setMediaId(String mediaId)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateMediaResourceResponse

    public CreateMediaResourceResponse()

Method Detail

### getMediaId

    public String getMediaId()

### setMediaId

    public void setMediaId(String mediaId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.